doctype html
html
	head
		title Samsung DMS 에어컨 컨트롤러
		meta(http-equiv='content-type' content='text/html' charset='UTF-8')
		meta(name='viewport' content='user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0, width=device-width')
		meta(name='apple-mobile-web-app-status-bar-style' content='black-translucent')
		meta(name='apple-mobile-web-app-capable' content='yes')
		link(rel='shortcut icon' href='/images/favicon.ico')
		link(rel='apple-touch-icon-precomposed' href='/images/favicon-152.png')
		link(rel='stylesheet' href='/css/bulma.css')
		link(rel='stylesheet' href='/css/font-awesome-4.7.0/css/font-awesome.min.css')
		link(rel='stylesheet' href='/css/style.css')
		script(src='/js/jquery-3.2.1.min.js')
		script(src='/js/script.js')

	body
		section.hero.is-primary
			.hero-body
				.container
					h1.title 삼성 DMS Controller
					h2.subtitle v0.1.0
			.hero-foot
				.container
					nav#controllers.tabs.is-centered.is-boxed
						ul

		section.section
			.container
				//- Level Container
				nav.level.is-mobile
					//- Left Side
					.level-left
						.level-item
							.field.has-addons
								p#btnSelectAll.control
									a.button
										span 전체 선택
								p#btnDeselectAll.control
									a.button
										span 전체 해제
					//-	Right Side
					.level-right
						.level-item
							.tag.is-medium.is-hidden-mobile
								span#stdout
								span.icon(style='margin-left: 4px')
									i.fa.fa-commenting
				table.table
					thead
						tr.has-text-centered
							th #
							th 이름
							th 전원
							th.is-hidden-mobile 현재온도
							th 희망온도
							th.is-hidden-mobile 운전모드
							th.is-hidden-mobile 풍량
							th.is-hidden-mobile 풍향
					tbody
						//- tr
						//- 	th
						//- 		span.address(hidden) 00.05.02
						//- 		span 1
						//- 	td 516 컴공준비실
						//- 	td 
						//- 		a.power.button.is-info
						//- 			i.fa.fa-power-off.fa-lg
						//- 	td.roomTemp.has-text-centered.is-hidden-mobile 25
						//- 	td
						//- 		.dropdown
						//- 			.dropdown-trigger
						//- 				a.button
						//- 					span.setTemp 22
						//- 					span.icon.is-small
						//- 						i.fa.fa-angle-down
						//- 			.dropdown-menu
						//- 				.dropdown-content
						//- 					a.dropdown-item 18
						//- 					a.dropdown-item 19
						//- 					a.dropdown-item 20
						//- 					a.dropdown-item 21
						//- 					a.dropdown-item.is-active 22
						//- 					a.dropdown-item 23
						//- 					a.dropdown-item 24
						//- 					a.dropdown-item 25
						//- 					a.dropdown-item 26
						//- 					a.dropdown-item 27
						//- 					a.dropdown-item 28
						//- 					a.dropdown-item 29
						//- 					a.dropdown-item 30
						//- 	td.is-hidden-mobile
						//- 		.dropdown
						//- 			.dropdown-trigger
						//- 				a.button
						//- 					span.operationMode 냉방
						//- 					span.icon.is-small
						//- 						i.fa.fa-angle-down
						//- 			.dropdown-menu
						//- 				.dropdown-content
						//- 					a.dropdown-item 자동
						//- 					a.dropdown-item.is-active 냉방
						//- 					a.dropdown-item 제습
						//- 					a.dropdown-item 송풍
						//- 					a.dropdown-item 난방
						//- 	td.is-hidden-mobile
						//- 		.dropdown
						//- 			.dropdown-trigger
						//- 				a.button
						//- 					span.fanSpeed 자동
						//- 					span.icon.is-small
						//- 						i.fa.fa-angle-down
						//- 			.dropdown-menu
						//- 				.dropdown-content
						//- 					a.dropdown-item.is-active 자동
						//- 					a.dropdown-item 미풍
						//- 					a.dropdown-item 약풍
						//- 					a.dropdown-item 강풍
						//- 	td.is-hidden-mobile
						//- 		.columns.is-gapless
						//- 			.column
						//- 				a.airSwingUD.button 상하
						//- 			.column
						//- 				a.airSwingLR.button 좌우

		div#groupController.modal.modeless
			div.modal-dialog
				div.modal-content
					.message
						.message-header
							nav.level.is-mobile(style='width: 100%')
								//- left side
								.level-left
									p.level-item
										p
											| 그룹 컨트롤러 (선택된 실내기 : 
											span#selectedIndoorsCnt 0
											| 개)
								//- right side
								.level-right
									p.level-item
										p
											span#groupApply.tag.is-warning 적용
										
						.message-body
							nav.level.is-mobile
								.level-item.has-text-centered
									div
										p.heading 전원
										p.title
											a#groupPower.button.is-danger
												i.fa.fa-power-off.fa-lg
								.level-item.has-text-centered
									div
										p.heading 희망온도
										p.title
											.field.is-marginless
												.control
													input#groupTemperature.input(type='number' style='width: 55px' value='24')
								.level-item.has-text-centered
									div
										p.heading 운전모드
										p.title
											#groupOperationMode.tabs.is-toggle.is-marginless
												ul
													//- li
													//- 	a#groupAuto 자동
													li.is-active
														a#groupCool 냉방
													li
														a#groupDry 제습
													//- li
													//- 	a#groupFan 송풍
													li
														a#groupHeat 난방
										
		footer.footer
			.container
				.content.has-text-centered
					p
						strong Samsung DMS Controller Web
						|
						| by 
						|
						a(href='https://gitlab.skuniv.ac.kr/Jimmy_and_Deathwish') Jimmy and Deathwish
						|
						| . The source code is licensed
						|
						a(href='https://opensource.org/licenses/mit-license.php') MIT
						|
						| . The website content is licensed
						|
						a(href='https://creativecommons.org/licenses/by-nc-sa/4.0/') CC ANS 4.0
						|
						| .
					p
						a.icon(href='https://gitlab.skuniv.ac.kr/Jimmy_and_Deathwish')
							i.fa.fa-github
